/* Copyright (c) 2009 Peter Troshin
 *  
 *  JAva Bioinformatics Analysis Web Services (JABAWS) @version: 1.0     
 * 
 *  This library is free software; you can redistribute it and/or modify it under the terms of the
 *  Apache License version 2 as published by the Apache Software Foundation
 * 
 *  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Apache 
 *  License for more details.
 * 
 *  A copy of the license is in apache_license.txt. It is also available here:
 * @see: http://www.apache.org/licenses/LICENSE-2.0.txt
 * 
 * Any republication or derived work distributed in source code form
 * must include this copyright and license notice.
 */
package compbio.engine.cluster.drmaa;

import org.ggf.drmaa.DrmaaException;
import org.ggf.drmaa.Session;
import org.ggf.drmaa.SessionFactory;
import org.ggf.drmaa.Version;

public class _JobStatus {

	
	
	public static void main(String[] args) {

		SessionFactory factory = SessionFactory.getFactory();
		Session session = factory.getSession();

		try {
			System.out.println("Supported contact strings: \""
					+ session.getContact() + "\"");
			System.out.println("Supported DRM systems: \""
					+ session.getDrmSystem() + "\"");
			System.out.println("Supported DRMAA implementations: \""
					+ session.getDrmaaImplementation() + "\"");

			session.init("");

			System.out.println("Using contact strings: \""
					+ session.getContact() + "\"");
			System.out.println("Using DRM systems: \"" + session.getDrmSystem()
					+ "\"");
			System.out.println("Using DRMAA implementations: \""
					+ session.getDrmaaImplementation() + "\"");

			Version version = session.getVersion();

			System.out.println("Using DRMAA version " + version.toString());

			session.exit();
		} catch (DrmaaException e) {
			System.out.println("Error: " + e.getMessage());
		}

	}
}
